wxWidgets: wxRichTextStyleSheet Class Reference

| Version: 3.1.7

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxRichTextStyleSheet Class Reference
Class List by Category » Rich Text

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.7-1.x86_64/src/wxWidgets-3.1.7/interface/wx/richtext/richtextstyles.h>`

Inheritance diagram for wxRichTextStyleSheet:
[legend]

## Detailed Description

A style sheet contains named paragraph and character styles that make it easy for a user to apply combinations of attributes to a wxRichTextCtrl.

You can use a wxRichTextStyleListBox in your user interface to show available styles to the user, and allow application of styles to the control.

##

Library: wxRichText
Category: Rich Text

## Public Member Functions
| wxRichTextStyleSheet ()
| Constructor.
virtual | ~wxRichTextStyleSheet ()
| Destructor.
bool | AddCharacterStyle (wxRichTextCharacterStyleDefinition *def)
| Adds a definition to the character style list.
bool | AddListStyle (wxRichTextListStyleDefinition *def)
| Adds a definition to the list style list.
bool | AddParagraphStyle (wxRichTextParagraphStyleDefinition *def)
| Adds a definition to the paragraph style list.
bool | AddStyle (wxRichTextStyleDefinition *def)
| Adds a definition to the appropriate style list.
void | DeleteStyles ()
| Deletes all styles.
wxRichTextCharacterStyleDefinition * | FindCharacterStyle (const wxString &name, bool recurse=true) const
| Finds a character definition by name.
wxRichTextListStyleDefinition * | FindListStyle (const wxString &name, bool recurse=true) const
| Finds a list definition by name.
wxRichTextParagraphStyleDefinition * | FindParagraphStyle (const wxString &name, bool recurse=true) const
| Finds a paragraph definition by name.
wxRichTextStyleDefinition * | FindStyle (const wxString &name) const
| Finds a style definition by name.
wxRichTextCharacterStyleDefinition * | GetCharacterStyle (size_t n) const
| Returns the nth character style.
size_t | GetCharacterStyleCount () const
| Returns the number of character styles.
const wxString & | GetDescription () const
| Returns the style sheet's description.
wxRichTextListStyleDefinition * | GetListStyle (size_t n) const
| Returns the nth list style.
size_t | GetListStyleCount () const
| Returns the number of list styles.
const wxString & | GetName () const
| Returns the style sheet's name.
wxRichTextParagraphStyleDefinition * | GetParagraphStyle (size_t n) const
| Returns the nth paragraph style.
size_t | GetParagraphStyleCount () const
| Returns the number of paragraph styles.
bool | RemoveCharacterStyle (wxRichTextStyleDefinition *def, bool deleteStyle=false)
| Removes a character style.
bool | RemoveListStyle (wxRichTextStyleDefinition *def, bool deleteStyle=false)
| Removes a list style.
bool | RemoveParagraphStyle (wxRichTextStyleDefinition *def, bool deleteStyle=false)
| Removes a paragraph style.
bool | RemoveStyle (wxRichTextStyleDefinition *def, bool deleteStyle=false)
| Removes a style.
void | SetDescription (const wxString &descr)
| Sets the style sheet's description.
void | SetName (const wxString &name)
| Sets the style sheet's name.
wxRichTextProperties & | GetProperties ()
| Returns the sheet's properties.
const wxRichTextProperties & | GetProperties () const
| Returns the sheet's properties.
void | SetProperties (const wxRichTextProperties &props)
| Sets the sheet's properties.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

## ◆ wxRichTextStyleSheet()

wxRichTextStyleSheet::wxRichTextStyleSheet | ( |  | ) |

Constructor.

## ◆ ~wxRichTextStyleSheet()

virtual wxRichTextStyleSheet::~wxRichTextStyleSheet | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ AddCharacterStyle()

bool wxRichTextStyleSheet::AddCharacterStyle | ( | wxRichTextCharacterStyleDefinition * | def | ) |

Adds a definition to the character style list.

## ◆ AddListStyle()

bool wxRichTextStyleSheet::AddListStyle | ( | wxRichTextListStyleDefinition * | def | ) |

Adds a definition to the list style list.

## ◆ AddParagraphStyle()

bool wxRichTextStyleSheet::AddParagraphStyle | ( | wxRichTextParagraphStyleDefinition * | def | ) |

Adds a definition to the paragraph style list.

## ◆ AddStyle()

bool wxRichTextStyleSheet::AddStyle | ( | wxRichTextStyleDefinition * | def | ) |

Adds a definition to the appropriate style list.

## ◆ DeleteStyles()

void wxRichTextStyleSheet::DeleteStyles | ( |  | ) |

Deletes all styles.

## ◆ FindCharacterStyle()

wxRichTextCharacterStyleDefinition * wxRichTextStyleSheet::FindCharacterStyle | ( | const wxString & | name,
|  | bool | recurse = true ) const

Finds a character definition by name.

## ◆ FindListStyle()

wxRichTextListStyleDefinition * wxRichTextStyleSheet::FindListStyle | ( | const wxString & | name,
|  | bool | recurse = true ) const

Finds a list definition by name.

## ◆ FindParagraphStyle()

wxRichTextParagraphStyleDefinition * wxRichTextStyleSheet::FindParagraphStyle | ( | const wxString & | name,
|  | bool | recurse = true ) const

Finds a paragraph definition by name.

## ◆ FindStyle()

wxRichTextStyleDefinition * wxRichTextStyleSheet::FindStyle | ( | const wxString & | name | ) | const

Finds a style definition by name.

## ◆ GetCharacterStyle()

wxRichTextCharacterStyleDefinition * wxRichTextStyleSheet::GetCharacterStyle | ( | size_t | n | ) | const

Returns the nth character style.

## ◆ GetCharacterStyleCount()

size_t wxRichTextStyleSheet::GetCharacterStyleCount | ( |  | ) | const

Returns the number of character styles.

## ◆ GetDescription()

const wxString & wxRichTextStyleSheet::GetDescription | ( |  | ) | const

Returns the style sheet's description.

## ◆ GetListStyle()

wxRichTextListStyleDefinition * wxRichTextStyleSheet::GetListStyle | ( | size_t | n | ) | const

Returns the nth list style.

## ◆ GetListStyleCount()

size_t wxRichTextStyleSheet::GetListStyleCount | ( |  | ) | const

Returns the number of list styles.

## ◆ GetName()

const wxString & wxRichTextStyleSheet::GetName | ( |  | ) | const

Returns the style sheet's name.

## ◆ GetParagraphStyle()

wxRichTextParagraphStyleDefinition * wxRichTextStyleSheet::GetParagraphStyle | ( | size_t | n | ) | const

Returns the nth paragraph style.

## ◆ GetParagraphStyleCount()

size_t wxRichTextStyleSheet::GetParagraphStyleCount | ( |  | ) | const

Returns the number of paragraph styles.

## ◆ GetProperties() [1/2]

wxRichTextProperties & wxRichTextStyleSheet::GetProperties | ( |  | ) |

Returns the sheet's properties.

## ◆ GetProperties() [2/2]

const wxRichTextProperties & wxRichTextStyleSheet::GetProperties | ( |  | ) | const

Returns the sheet's properties.

## ◆ RemoveCharacterStyle()

bool wxRichTextStyleSheet::RemoveCharacterStyle | ( | wxRichTextStyleDefinition * | def,
|  | bool | deleteStyle = false )

Removes a character style.

## ◆ RemoveListStyle()

bool wxRichTextStyleSheet::RemoveListStyle | ( | wxRichTextStyleDefinition * | def,
|  | bool | deleteStyle = false )

Removes a list style.

## ◆ RemoveParagraphStyle()

bool wxRichTextStyleSheet::RemoveParagraphStyle | ( | wxRichTextStyleDefinition * | def,
|  | bool | deleteStyle = false )

Removes a paragraph style.

## ◆ RemoveStyle()

bool wxRichTextStyleSheet::RemoveStyle | ( | wxRichTextStyleDefinition * | def,
|  | bool | deleteStyle = false )

Removes a style.

## ◆ SetDescription()

void wxRichTextStyleSheet::SetDescription | ( | const wxString & | descr | ) |

Sets the style sheet's description.

## ◆ SetName()

void wxRichTextStyleSheet::SetName | ( | const wxString & | name | ) |

Sets the style sheet's name.

## ◆ SetProperties()

void wxRichTextStyleSheet::SetProperties | ( | const wxRichTextProperties & | props | ) |

Sets the sheet's properties.